import { PbContext } from "../../../graphql/types";
import { TranslatableCollection } from "../domain/TranslatableCollection";
interface CloneTranslatableCollectionParams {
    sourceCollectionId: string;
    newCollectionId: string;
}
export declare class CloneTranslatableCollectionUseCase {
    private readonly context;
    constructor(context: PbContext);
    execute({ sourceCollectionId, newCollectionId }: CloneTranslatableCollectionParams): Promise<TranslatableCollection>;
}
export {};
